Name:           kdeconnect-kde
Summary:        Connect and sync your devices with KDE
Version:        1.3.3
Release:        %mkrel 1
Group:          Graphical desktop/KDE5
License:        GPLv2
URL:            https://community.kde.org/KDEConnect
Source0:        %{name}-%{version}.tar.xz
Source1:		org.kde.kdeconnect.kcm.desktop
Source2:		org.kde.kdeconnect.nonplasma.desktop
BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: gettext
BuildRequires: libfakekey-devel
BuildRequires: libkconfig-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkf5auth-devel
BuildRequires: libkf5bookmarks-devel
BuildRequires: libkf5configwidgets-devel
BuildRequires: libkf5dbusaddons-devel
BuildRequires: libkf5i18n-devel
BuildRequires: libkf5kcmutils-devel
BuildRequires: libkf5notifications-devel
BuildRequires: libkf5service-devel
BuildRequires: libkf5solid-devel
BuildRequires: libkf5wayland-devel
BuildRequires: libkf5widgetsaddons-devel
BuildRequires: libkio-devel
BuildRequires: libqca2-qt5-devel
BuildRequires: libqt5core-devel
BuildRequires: libqt5dbus-devel
BuildRequires: libqt5gui-devel
BuildRequires: libqt5network-devel
BuildRequires: libqt5qml-devel
BuildRequires: libqt5widgets-devel
BuildRequires: libqt5x11extras-devel
BuildRequires: libqt5xml-devel
BuildRequires: libx11-devel
BuildRequires: libxi-devel
BuildRequires: libxtst-devel

Requires: libqca2-qt5_2
Requires: sshfs-fuse
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
KDE Connect adds communication between KDE and your smartphone.

Currently, you can pair with your Android devices over Wifi using the
KDE Connect app from Albert Vaka which you can obtain via Google Play, F-Droid
or the project website.

#------------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%apply_patches

%build
%cmake_kf5
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

#devel rpm not needed
rm -f %{buildroot}/%{_libdir}/*.so
rm -rf %{buildroot}/%_kde_includedir
rm -rf %{buildroot}%{_libdir}/cmake

#menu
install -m 0644 %SOURCE1 %buildroot/%{_kf5_applicationsdir}
install -m 0644 %SOURCE2 %buildroot/%{_kf5_applicationsdir}


%find_lang %{name} --all-name

%files -f %{name}.lang
%defattr(-, root, root)
%{_sysconfdir}/xdg/autostart/kdeconnectd.desktop
%{_bindir}/kdeconnect-cli
%{_bindir}/kdeconnect-handler
%{_bindir}/kdeconnect-indicator
%{_libdir}/libkdeconnectcore.so.*
%{_libdir}/libkdeconnectinterfaces.so.*
%{_libdir}/libkdeconnectpluginkcm.so.*
%{_libdir}/qt5/plugins/kcm_kdeconnect.so
%{_libdir}/qt5/plugins/kdeconnect/kdeconnect_battery.so
%{_libdir}/qt5/plugins/kdeconnect/kdeconnect_clipboard.so
%{_libdir}/qt5/plugins/kdeconnect/kdeconnect_findmyphone.so
%{_libdir}/qt5/plugins/kdeconnect/kdeconnect_mousepad.so
%{_libdir}/qt5/plugins/kdeconnect/kdeconnect_mpriscontrol.so
%{_libdir}/qt5/plugins/kdeconnect/kdeconnect_notifications.so
%{_libdir}/qt5/plugins/kdeconnect/kdeconnect_pausemusic.so
%{_libdir}/qt5/plugins/kdeconnect/kdeconnect_ping.so
%{_libdir}/qt5/plugins/kdeconnect/kdeconnect_remotekeyboard.so
%{_libdir}/qt5/plugins/kdeconnect/kdeconnect_runcommand.so
%{_libdir}/qt5/plugins/kdeconnect/kdeconnect_screensaver_inhibit.so
%{_libdir}/qt5/plugins/kdeconnect/kdeconnect_sendnotifications.so
%{_libdir}/qt5/plugins/kdeconnect/kdeconnect_sftp.so
%{_libdir}/qt5/plugins/kdeconnect/kdeconnect_share.so
%{_libdir}/qt5/plugins/kdeconnect/kdeconnect_telephony.so
%{_libdir}/qt5/plugins/kdeconnect_pausemusic_config.so
%{_libdir}/qt5/plugins/kdeconnect_runcommand_config.so
%{_libdir}/qt5/plugins/kdeconnect_sendnotifications_config.so
%{_libdir}/qt5/plugins/kdeconnect_share_config.so
%{_libdir}/qt5/plugins/kdeconnectfileitemaction.so
#%{_libdir}/qt5/plugins/kio_kdeconnect.so
%{_libdir}/qt5/qml/org/kde/kdeconnect/DBusProperty.qml
%{_libdir}/qt5/qml/org/kde/kdeconnect/PluginChecker.qml
%{_libdir}/qt5/qml/org/kde/kdeconnect/libkdeconnectdeclarativeplugin.so
%{_libdir}/qt5/qml/org/kde/kdeconnect/qmldir
%{_libexecdir}/kdeconnectd
%{_datadir}/applications/org.kde.kdeconnect.kcm.desktop
%{_datadir}/applications/org.kde.kdeconnect.nonplasma.desktop
%{_datadir}/applications/org.kde.kdeconnect.telhandler.desktop
%{_datadir}/dbus-1/services/org.kde.kdeconnect.service
%{_datadir}/doc/HTML/en/kdeconnect/index.cache.bz2
%{_datadir}/doc/HTML/en/kdeconnect/index.docbook
%{_datadir}/icons/hicolor/128x128/apps/kdeconnect.png
%{_datadir}/icons/hicolor/16x16/apps/kdeconnect.png
%{_datadir}/icons/hicolor/22x22/apps/kdeconnect.png
%{_datadir}/icons/hicolor/256x256/apps/kdeconnect.png
%{_datadir}/icons/hicolor/32x32/apps/kdeconnect.png
%{_datadir}/icons/hicolor/32x32/status/laptopconnected.png
%{_datadir}/icons/hicolor/32x32/status/laptopdisconnected.png
%{_datadir}/icons/hicolor/32x32/status/laptoptrusted.png
%{_datadir}/icons/hicolor/32x32/status/smartphoneconnected.png
%{_datadir}/icons/hicolor/32x32/status/smartphonedisconnected.png
%{_datadir}/icons/hicolor/32x32/status/smartphonetrusted.png
%{_datadir}/icons/hicolor/32x32/status/tabletconnected.png
%{_datadir}/icons/hicolor/32x32/status/tabletdisconnected.png
%{_datadir}/icons/hicolor/32x32/status/tablettrusted.png
%{_datadir}/icons/hicolor/48x48/apps/kdeconnect.png
%{_datadir}/icons/hicolor/64x64/apps/kdeconnect.png
%{_datadir}/icons/hicolor/scalable/apps/kdeconnect.svgz
%{_datadir}/icons/hicolor/scalable/status/laptopconnected.svg
%{_datadir}/icons/hicolor/scalable/status/laptopdisconnected.svg
%{_datadir}/icons/hicolor/scalable/status/laptoptrusted.svg
%{_datadir}/icons/hicolor/scalable/status/smartphoneconnected.svg
%{_datadir}/icons/hicolor/scalable/status/smartphonedisconnected.svg
%{_datadir}/icons/hicolor/scalable/status/smartphonetrusted.svg
%{_datadir}/icons/hicolor/scalable/status/tabletconnected.svg
%{_datadir}/icons/hicolor/scalable/status/tabletdisconnected.svg
%{_datadir}/icons/hicolor/scalable/status/tablettrusted.svg
%{_datadir}/knotifications5/kdeconnect.notifyrc
%{_datadir}/kservices5/kcm_kdeconnect.desktop
#%{_datadir}/kservices5/kdeconnect.protocol
%{_datadir}/kservices5/kdeconnect_pausemusic_config.desktop
%{_datadir}/kservices5/kdeconnect_runcommand_config.desktop
%{_datadir}/kservices5/kdeconnect_sendnotifications_config.desktop
%{_datadir}/kservices5/kdeconnect_share_config.desktop
%{_datadir}/kservices5/kdeconnectsendfile.desktop
%{_datadir}/kservices5/plasma-kdeconnect.desktop
%{_datadir}/kservicetypes5/kdeconnect_plugin.desktop
%{_datadir}/metainfo/org.kde.kdeconnect.kcm.appdata.xml
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/Battery.qml
#%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/CompactRepresentation.qml
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/DeviceDelegate.qml
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/FindMyPhone.qml
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/FullRepresentation.qml
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/RemoteKeyboard.qml
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/Sftp.qml
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/main.qml
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/metadata.desktop
%{_datadir}/nautilus-python/extensions/kdeconnect-share.py
%{_libdir}/qt5/plugins/kf5/kio/kdeconnect.so

%clean
rm -rf %{buildroot}


%changelog
* Tue Jan 08 2019 adrianomorselli <adrianomorselli> 1.3.3-1uplos2019
- update
